New post
0

Just installed ios 14.5 and now my sky safari 5 pro wont launch, says i need to upgrade.

Just installed ios 14.5 and now my sky safari 5 pro wont launch, says i need to upgrade, However there is no update showing as available. Only fix i can see is to buy sky safari 6 pro! But as i was perfectly happy with 5pro i dont see why i should have to Pay to continue using the app that i own. Im really stuck now cant do anything 

Is it possible you can put a update put to fix this issue please?

5 comments

  • 0
    Avatar
    Robin Sweeten

    Same thing happened to me with iOS 14.5 update.  However, strangely the error and upgrade prompt only appear on my iPhone X, but not on my iPad Air 3, which is also running iOS 14.5.  I agree that this should be fixed/addressed for Sky Safari 5 users, without forcing them to purchase version 6.

  • 0
    Avatar
    Keiron Smith

    Lee, Robin, 

    Try reinstalling the app via App Store > Purchased (category)

    Thanks!

  • 0
    Avatar
    Robin Sweeten
    Hello Keiron,
     
    I did that, and although it now launches without the error, all of my user defined locations and telescope information was lost. I tried exporting the settings by email from my iPad version, but for whatever reason even when I attempted to import that into my current settings on the iPhone, the information did not transfer over.  A lot of manual configuration was required.  Just FYI for other users.
     
    Robin
  • 0
    Avatar
    Keiron Smith

    What happens when you import the current SS5 settings?

  • 0
    Avatar
    Robin Sweeten

    Only one user defined location (Home) was imported and no equipment configuration settings came over.  This was using the current settings file from my iPad, which included all of this information.

Please sign in to leave a comment.